SuperTux Bug Tracker
SuperTux logo


View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000208supertuxBuilding and Installationpublic2007-04-24 03:512008-01-05 13:16
ReporterShylence 
Assigned To 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
Platformx86 (Intel, 32-bit)OSMac OS XOS Version10.4 (Tiger)
Product Version0.3.1 
Target VersionFixed in Version0.3.1 
Summary0000208: Can't compile due to lack of tools/miniswig/parser.*pp
DescriptionI had previously successfully compiled the program on the same machine I am using, without installing/removing tools. I deleted the entire supertux directory, then I redownloaded it from the svn repository.
Then I tried to compile it, following the directions at http://supertux.lethargik.org/wiki/User:RavuAlHemio/Mac_OS_X_compilation. [^] I had already built all the necessary tools and libraries.
The program fails compiling apparently because of the lack of tools/miniswig/parser.cpp and parser.hpp. I tried to downgrade to a previous revision, but the files were still missing.


Steps To ReproduceDownload from scratch the svn repository and try to compile it.
Additional InformationI ran jam multiple times, but with no result. Here's the full transcript of the second and following times:

----

...patience...
...found 1286 target(s)...
...updating 42 target(s)...
Bison tools/miniswig/parser.cpp tools/miniswig/parser.hpp

    bison -d --no-lines -o tools/miniswig/parser.cpp tools/miniswig/parser.yy
    test -f tools/miniswig/parser.cpp.h && mv -f tools/miniswig/parser.cpp.h tools/miniswig/parser.hpp
  
...failed Bison tools/miniswig/parser.cpp tools/miniswig/parser.hpp ...
...removing tools/miniswig/parser.cpp
...removing tools/miniswig/parser.hpp
...skipped <T!tools!miniswig!>lexer.o for lack of <T!tools!miniswig!>lexer.cpp...
...skipped <T!tools!miniswig!>parser.o for lack of <T!tools!miniswig!>parser.cpp...
...skipped miniswig for lack of <T!tools!miniswig!>lexer.o...
C++ ./build/i386-apple-darwin8.9.1/optimize/src/addon_manager.o
...skipped <T!src!scripting!>wrapper.cpp for lack of miniswig...
...skipped <T!src!>console.o for lack of <src>console.cpp...
...skipped <T!src!>game_session.o for lack of <src>game_session.cpp...
...skipped <T!src!>main.o for lack of <src>main.cpp...
...skipped <T!src!>mainloop.o for lack of <src>mainloop.cpp...
...skipped <T!src!>sector.o for lack of <src>sector.cpp...
...skipped <T!src!>statistics.o for lack of <src>statistics.cpp...
C++ ./build/i386-apple-darwin8.9.1/optimize/src/title.o
...skipped <T!src!>world.o for lack of <src>world.cpp...
...skipped <T!src!>lisp/parser.o for lack of <src>lisp/parser.cpp...
...skipped <T!src!>object/ambient_sound.o for lack of <src>object/ambient_sound.cpp...
...skipped <T!src!>object/camera.o for lack of <src>object/camera.cpp...
...skipped <T!src!>object/candle.o for lack of <src>object/candle.cpp...
...skipped <T!src!>object/display_effect.o for lack of <src>object/display_effect.cpp...
...skipped <T!src!>object/endsequence.o for lack of <src>object/endsequence.cpp...
C++ ./build/i386-apple-darwin8.9.1/optimize/src/object/invisible_block.o
...skipped <T!src!>object/level_time.o for lack of <src>object/level_time.cpp...
...skipped <T!src!>object/platform.o for lack of <src>object/platform.cpp...
...skipped <T!src!>object/player.o for lack of <src>object/player.cpp...
...skipped <T!src!>object/scripted_object.o for lack of <src>object/scripted_object.cpp...
...skipped <T!src!>object/text_object.o for lack of <src>object/text_object.cpp...
...skipped <T!src!>object/thunderstorm.o for lack of <src>object/thunderstorm.cpp...
...skipped <T!src!>object/tilemap.o for lack of <src>object/tilemap.cpp...
...skipped <T!src!>object/wind.o for lack of <src>object/wind.cpp...
...skipped <T!src!>worldmap/tux.o for lack of <src>worldmap/tux.cpp...
...skipped <T!src!>worldmap/worldmap.o for lack of <src>worldmap/worldmap.cpp...
...skipped <T!src!scripting!>functions.o for lack of <src!scripting>functions.cpp...
...skipped <T!src!scripting!>squirrel_util.o for lack of <src!scripting>squirrel_util.cpp...
...skipped <T!src!scripting!>thread_queue.o for lack of <src!scripting>thread_queue.cpp...
...skipped <T!src!scripting!>time_scheduler.o for lack of <src!scripting>time_scheduler.cpp...
...skipped <T!src!scripting!>wrapper.o for lack of <T!src!scripting!>wrapper.cpp...
...skipped supertux for lack of <T!src!>console.o...
XGetText data/levels/test/messages.pot
...skipped data/locale/messages.pot.in for lack of <src>console.cpp...
...skipped data/locale/messages.pot for lack of data/locale/messages.pot.in...
...failed updating 2 target(s)...
...skipped 35 target(s)...
...updated 5 target(s)...

----

Note that most .cpp files are there.
TagsNo tags attached.
Fixed in GIT revision
Fixed in subversion revision
Attached Files

- Relationships

-  Notes
(0000476)
tuxdev (administrator)
2007-04-24 13:31

Hmm, if you run "bison -d --no-lines -o tools/miniswig/parser.cpp tools/miniswig/parser.yy" by itself, what does it say/do?
(0000477)
Shylence (reporter)
2007-04-25 03:01

I ran bison etc. by itself, then I ran jam and it compiled perfectly. Thank you.
(0000478)
AnMaster (administrator)
2007-04-27 05:44
edited on: 2007-04-27 05:46

This happened a few times for me (not sure about exact error but it was bison related in miniswig) but for me re-running jam always worked. It seems to happen more (but not only) when I use -j2.


- Issue History
Date Modified Username Field Change
2007-04-24 03:51 Shylence New Issue
2007-04-24 03:51 Shylence Issue Monitored: Shylence
2007-04-24 13:31 tuxdev Note Added: 0000476
2007-04-24 23:10 AnMaster Issue Monitored: AnMaster
2007-04-25 03:01 Shylence Note Added: 0000477
2007-04-25 03:02 Shylence Issue End Monitor: Shylence
2007-04-27 05:44 AnMaster Note Added: 0000478
2007-04-27 05:46 AnMaster Note Edited: 0000478
2008-01-05 13:16 sommer Status new => closed
2008-01-05 13:16 sommer Resolution open => fixed
2008-01-05 13:16 sommer Fixed in Version => 0.3.1


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker